List dispensing flags
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medicine": {
"name": "<string>",
"generic_name": "<string>",
"brand_name": "<string>",
"identifiers": [
{
"system": "gtin",
"value": "<string>"
}
]
},
"days_supply": 123,
"date": "2023-11-07T05:31:56Z",
"check_state": "clear",
"flags": [
"<string>"
],
"evidence": {},
"reason": {
"code": "lost",
"text": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Dispensing
List dispensing flags
Permission: dispensing:read Refill/duplicate-dispensing flags for the caller’s linked enrollees, in a date window. Each flag’s rule, evidence, and the pharmacist’s reason — never price, margin, staff identity beyond this, or any other customer of the pharmacy. Never references the “possibly the same person” mechanism — that is a prompt to look, never a finding, and never crosses the API boundary.
GET
/
v1
/
clinics
/
{clinic_id}
/
dispensing
/
flags
List dispensing flags
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/dispensing/flags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medicine": {
"name": "<string>",
"generic_name": "<string>",
"brand_name": "<string>",
"identifiers": [
{
"system": "gtin",
"value": "<string>"
}
]
},
"days_supply": 123,
"date": "2023-11-07T05:31:56Z",
"check_state": "clear",
"flags": [
"<string>"
],
"evidence": {},
"reason": {
"code": "lost",
"text": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100